[bugfix] fix unzip file path for fia operator (#7367)

### What this PR does / why we need it?
The decompression path of the FIA operator package is incorrect, and
unnecessary folders have been created during modification.

- vLLM version: v0.17.0
- vLLM main:
4034c3d32e

Signed-off-by: zjks98 <zhangjiakang4@huawei.com>
Co-authored-by: zjks98 <zhangjiakang4@huawei.com>
This commit is contained in:
aipaes
2026-03-17 17:21:27 +08:00
committed by GitHub
parent 7669963c27
commit 83ad14c74c
2 changed files with 2 additions and 4 deletions

View File

@@ -22,10 +22,9 @@ set -euo pipefail
trap 'echo "Error on line $LINENO: command \`$BASH_COMMAND\` failed with exit code $?" >&2' ERR
cd /vllm-workspace
mkdir -p fused_infer_attention_score_a2_$(uname -i)
# download fused_infer_attention_score related source files
wget https://vllm-ascend.obs.cn-north-4.myhuaweicloud.com/vllm-ascend/cann-8.5.1/fused_infer_attention_score_a2_$(uname -i).tar.gz
tar -zxvf ./fused_infer_attention_score_a2_$(uname -i).tar.gz -C ./fused_infer_attention_score_a2_$(uname -i)
tar -zxvf ./fused_infer_attention_score_a2_$(uname -i).tar.gz
# replace fused_infer_attention_score operation files
cd $ASCEND_TOOLKIT_HOME/opp/built-in/op_impl/ai_core/tbe/kernel/ascend910b/ops_transformer

View File

@@ -21,10 +21,9 @@ set -euo pipefail
trap 'echo "Error on line $LINENO: command \`$BASH_COMMAND\` failed with exit code $?" >&2' ERR
cd /vllm-workspace
mkdir -p fused_infer_attention_score_a3_$(uname -i)
# download fused_infer_attention_score related source files
wget https://vllm-ascend.obs.cn-north-4.myhuaweicloud.com/vllm-ascend/cann-8.5.1/fused_infer_attention_score_a3_$(uname -i).tar.gz
tar -zxvf ./fused_infer_attention_score_a3_$(uname -i).tar.gz -C ./fused_infer_attention_score_a3_$(uname -i)
tar -zxvf ./fused_infer_attention_score_a3_$(uname -i).tar.gz
# replace fused_infer_attention_score operation files
cd $ASCEND_TOOLKIT_HOME/opp/built-in/op_impl/ai_core/tbe/kernel/ascend910_93/ops_transformer